package edu.buffalo.cse.cse462.internal.dao.oracle;

import java.sql.Date;

import java.util.Set;

import edu.buffalo.cse.cse462.dao.DAOException;
import edu.buffalo.cse.cse462.dao.OrderDAO;
import edu.buffalo.cse.cse462.internal.dao.JDBCSession;
import edu.buffalo.cse.cse462.model.Customer;
import edu.buffalo.cse.cse462.model.Order;
import edu.buffalo.cse.cse462.model.Product;

public class OracleOrderDAO implements OrderDAO {

  // shared JDBC session
  private final JDBCSession session;

  // the constructor receives a JDBCSession from the OracleDAOSession
  public OracleOrderDAO(JDBCSession session) {

    this.session = session;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.GenericDAO#insert(java.lang.Object)
   */
  @Override
  public boolean insert(Order instance) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return false;
  }

  /*
   * YOU MUST cascade deletes to OrderEntry.
   * 
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.GenericDAO#delete(java.lang.Object)
   */
  @Override
  public boolean delete(Integer key) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    // Remember to also delete any associated order entry tuples
    return false;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.GenericDAO#findByKey(java.lang.Object)
   */
  @Override
  public Order findByKey(Integer key) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }

  /*
   * YOU MUST cascade updates to OrderEntry.
   * 
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.GenericDAO#update(java.lang.Object)
   */
  @Override
  public boolean update(Order updated) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return false;
  }

  /*
   * YOU MUST cascade updates to OrderEntry.
   * 
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.GenericDAO#update(java.lang.Object, java.lang.Object)
   */
  @Override
  public boolean update(Integer oldKey, Order updated) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    // Remember to also update any associated order entry tuples
    return false;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.OrderDAO#findByCustomer(edu.buffalo.cse.cse462.model.Customer)
   */
  @Override
  public Set<Order> findByCustomer(Customer customer) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.OrderDAO#findByDate(java.sql.Date, java.sql.Date)
   */
  @Override
  public Set<Order> findByDate(Date minDate, Date maxDate) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.OrderDAO#findByProduct(edu.buffalo.cse.cse462.model.Product)
   */
  @Override
  public Set<Order> findByProduct(Product product) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.OrderDAO#findByProducts(java.util.Set)
   */
  @Override
  public Set<Order> findByProducts(Set<Product> products) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }

  /*
   * (non-Javadoc)
   * @see edu.buffalo.cse.cse462.dao.OrderDAO#findByValue(java.util.Currency, java.util.Currency)
   */
  @Override
  public Set<Order> findByValue(Double minValue, Double maxValue) throws DAOException {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }
}