package edu.buffalo.cse.cse462.model;

import java.sql.Date;

/**
 * CREATE TABLE Customer (
 *   cid        INT NOT NULL PRIMARY KEY,
 *   lastName   VARCHAR(100) NOT NULL,
 *   firstName  VARCHAR(100) NOT NULL,
 *   city       VARCHAR(100) NOT NULL,
 *   state      CHAR(2) NOT NULL,
 *   DoB        Date
 * );
 * 
 * @author Demian Lessa
 */
public interface Customer {

  /**
   * Maps from cid.
   */
  public Integer getCid();

  /**
   * Maps from city.
   */
  public String getCity();

  /**
   * Maps from DoB.
   */
  public Date getDateOfBirth();

  /**
   * Maps from firstName.
   */
  public String getFirstName();

  /**
   * Maps from lastName.
   */
  public String getLastName();

  /**
   * Maps from state.
   */
  public String getState();
}