package edu.buffalo.cse.cse462.model;

/**
 * CREATE TABLE Product (
 *   sku        INT NOT NULL PRIMARY KEY,
 *   name       VARCHAR(100) NOT NULL,
 *   unitPrice  NUMERIC(19,2) NOT NULL
 * );
 * 
 * @author Demian Lessa
 */
public interface Product {

  /**
   * Maps from name.
   */
  public String getName();

  /**
   * Maps from sku.
   */
  public Integer getSku();

  /**
   * Maps from unitPrice.
   */
  public Double getUnitPrice();
}