package edu.buffalo.cse.cse462.model.impl;

import edu.buffalo.cse.cse462.model.Product;

/**
 * Implementation of the Product model object.
 * 
 * @author Demian Lessa
 */
public class ProductImpl implements Product {

  private final String name;
  private final Integer sku;
  private final Double unitPrice;

  public ProductImpl(String name, Integer sku, Double unitPrice) {

    this.sku = sku;
    this.name = name;
    this.unitPrice = unitPrice;
  }

  @Override
  public String getName() {

    return name;
  }

  @Override
  public Integer getSku() {

    return sku;
  }

  @Override
  public Double getUnitPrice() {

    return unitPrice;
  }

  @Override
  public int hashCode() {

    int hash = 7;
    hash = hash * 31 + getName().hashCode();
    hash = hash * 31 + getSku().hashCode();
    hash = hash * 31 + getUnitPrice().hashCode();
    return hash;
  }

  @Override
  public boolean equals(Object other) {

    // TODO: required implementation for CSE462 Project #1
    return false;
  }

  @Override
  public String toString() {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }
}
